/*
	all routes pertaining to trash 
*/
module.exports = function(router) {

	router.get('/trash', function(req, res, next) {	
		sess=req.session;
		console.log(sess);	
		if(!sess.loggedIn) {
			res.redirect('/');
			return;
		}

		var cloud =  req.app.locals.cloud(req);		

		cloud.getTrash({
			virtualfolder: "VZMOBILE",
			success: function(resp) {
				res.render('trash', { 
					cloud: cloud, 
					files: resp.body.trashCan.file,
					folders: resp.body.trashCan.folder  //pass the template all the files in the user's accounnt

				});
			},
			failure: function(resp) {
				res.render('trash', { 
					error: "Error calling fullview" 
				});
			}
		});
	});

	router.post('/trash/restore', function(req, res, next) {	
		sess=req.session;
		console.log(sess);	
		if(!sess.loggedIn) {
			res.redirect('/');
			return;
		}
		var cloud =  req.app.locals.cloud(req);		
		var path = req.body.path;
		cloud.restore({
			path: path,
			success: function(resp) {
				res.redirect('/trash');
			},
			failure: function(resp) {
				//handle network error
				res.redirect('/trash');
			}
		})
	});

	router.post('/trash/delete', function(req, res, next) {	
		sess=req.session;
		console.log(sess);	
		if(!sess.loggedIn) {
			res.redirect('/');
			return;
		}
		var cloud =  req.app.locals.cloud(req);		
		cloud.emptyTrash({
			virtualfolder: "VZMOBILE",
			success: function(resp) {
				res.redirect('/trash');
			},
			failure: function(resp) {
				res.redirect('/trash');
			}
		})
	});	
}